// _block.scss

.block-shop {
  $padding: 10px;

  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  @include clearfix;

  &-list {
    width: 100%;
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid $color-grey-border;

    &.disable {
      opacity: .5;
      .order-number {
        background-color: #ededed;
        padding: 10px;
      }
      .product-status {
        background-color: #ededed;
        padding: 10px;
        font-weight: 700;
      }
    }

    .product-cover-img {
      max-width: 75px;
      float: left;
      @include screen-size(md) {
        width: inherit !important;
      }
    }

    .product-item {
      & > img {
        margin-right: 10px;
      }
      div.product-title div {
        height: 1em;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }

    .product-title {
      margin: 0;
      font-weight: 700;
      @include font-size(14);
      color: $color-primary;
      margin-bottom: 10px;
      font-family: font('primary');
    }

    .product-desc {
      color: $color-grey-border;
      margin-bottom: 16px;
    }

    .block-account & {
      ul li {
        list-style: none;
        margin-bottom: .48em;
      }
      .product-content {
        padding: 0;
        @include screen-size(md) {
          padding: 0;
        }
      }
      .product-title {
        @include screen-size(md) {
          margin-bottom: 0;
        }
      }
    }

    .product-content {
      width: calc(50% - 75px);
      padding: $padding 0 0 30px;
      float: left;

      ul {
        margin-top: 0;
      }

      @include screen-size(md) {
        width: calc(100% - 75px);
        padding: 0 0 0 15px;
      }
    }
    .order-number,
    .product-status {
      float: left;
      width: calc(30% - 75px);
      padding-top: $padding;
      text-align: center;
      top: 0;

      @include screen-size(md) {
        padding: 0 0 0 15px;
        position: relative;
        top: 6px;
        width: auto;
      }
    }

    .order-number {
      @include screen-size(md) {
        text-align: left;
      }
    }
    .order-number,
    .billing-link,
    .product-price {
      float: left;
      background: rgba(0, 0, 0, 0);
      margin: 0;
      padding: 0 0 0 15px;
      width: 10%;
    }

    .product-price {
      @include screen-size(md) {
        padding-top: $padding;
        width: 5%;
      }
      .price {
        @include font-size(20);
        max-width: 100%;
        width: 100%;
        padding: 0;

        @include screen-size(md) {
          text-align: center;
        }
      }
    }

    .billing-link {
      float: right;
      text-align: right;
      font-style: italic;
    }

    .product-action {
      padding-top: $padding;
      float: right;
      width: 30px;
      text-align: right;
      @include font-size(24);

      @include screen-size(md) {
        width: calc(28% - 75px);
      }
    }

  }

  &-form {
    float: left;
    width: 100%;
    padding: 10px;
    background: $color-grey;
    margin: 10px 0 0;
    display: none;

    @include screen-size(md) {
      padding: 10px 20px 20px;
    }

    .has-gift & {
      display: block;
    }

    p {
      font-weight: 700;
      margin-bottom: 5px;

      @include screen-size(md) {
        margin-bottom: 10px;
      }
    }

    input,
    textarea {
      border: none;
      width: 100%;
    }

    textarea {
      padding: 10px;
      min-height: 90px;
      width: 100% !important;
    }

    .left {
      width: 100%;
      @include screen-size(md) {
        width: 30%;
      }
    }

    .right {
      width: 100%;
      @include screen-size(md) {
        width: 70%;
        padding-left: 50px;
      }
    }
  }

  .btn-delete {
    display: block;

    .page-shopping-confirmation & {
      display: none;
    }
  }

  .read-teaser {
    display: none;

    .page-shopping-confirmation & {
      display: flex;
      margin-left: 0;
    }
  }

  &-confirmation {
    .product-gift,
    .block-shop-form {
      display: none !important;
    }

    .product-action {
      width: calc(100% - 90px);

      @include screen-size(md) {
        width: 200px;
      }
    }
  }

  &-confirmation-mail {

    .product-action,
    .block-shop-form {
      display: none;
    }

    .product-gift {
      display: inline-block !important;
    }

    .block-shop-form-confirmation {
      display: block;
      border-bottom: 1px solid $color-grey-border;
    }
  }

  .text-confirm {
    font-style: italic;
    color: $color-grey-border;
    font-weight: 400;
  }
}

.has-gift {
  .product-gift {
    display: inline-block;
  }
}

.block-shop-price {
  @include clearfix;
  margin-top: 10px;
  padding-top: 10px;
  border-top: 1px solid $color-grey-border;

  .btn {
    @include font-size(16);
    width: 100%;
    float: left;
    text-align: center;
    padding: 15px;

    @include screen-size(md) {
      width: auto;
      text-align: left;
    }

    &.right {
      background: $color-secondary;
      margin-top: 10px;

      @include screen-size(md) {
        margin-top: 0;
        float: right;
      }
    }
  }
}

.block-price-list {
  @include clearfix;
  padding: 20px 10px 20px 130px;

  .left {
    width: 60%;
    @include screen-size(md) {
      width: 70%;
    }
  }

  .right {
    width: 40%;
    text-align: right;
    @include screen-size(md) {
      width: 30%;
    }

    p {
      width: 100%;
    }
  }

  p {
    @include font-size(18);
    font-weight: 700;
    margin: 0;
    float: left;

    span {
      @include font-size(26);
      position: relative;
      top: -7px;
    }
  }

  form {
    input {
      float: left;
      height: 40px;
      background: $color-white;
      border: none;
      width: 60%;

      @include screen-size(md) {
        width: 170px;
      }
    }

    input[type="submit"] {
      background: rgba(0, 0, 0, 0);
      text-transform: uppercase;
      border: 1px solid $color-white;
      @include font-size(16);
      color: $color-white;
      font-family: font('secondary');
      line-height: 40px;
      font-weight: 700;
      width: 40%;

      @include screen-size(md) {
        width: auto;
        padding-left: 15px;
        padding-right: 15px;

      }

      @include screen-size(lg) {
        width: auto;

      }
    }
  }
}

.block-price-total {
  .right {
    .price {
      @include font-size(36);
    }
  }
}

.block-shop-connexion {
  @include clearfix;
  margin-top: 30px;

  .sign-up-step-2 & {
    margin-top: 0;
  }

  .block-title {
    width: 100%;
  }

  .left {
    width: 100%;

    @include screen-size(md) {
      padding-right: 20px;
      width: 50%;
    }

    @include screen-size(lg) {
      padding-right: 40px;
    }
  }

  .right {
    width: 100%;

    @include screen-size(md) {
      padding-left: 20px;
      width: 50%;
    }

    @include screen-size(lg) {
      padding-left: 40px;
    }
  }

  .block {
    width: 100%;
    clear: both;
  }

  .block-sign-in {
    margin: 35px 0;
    padding: 20px 10px;
    background: $color-grey-border;

    @include screen-size(lg) {
      padding: 40px 40px 30px 40px;
    }

    input {
      border: none;
      width: 100%;
      margin-bottom: 10px;
      height: 30px;
      padding: 0 10px;

      @include screen-size(md) {
        padding: 0 20px;
      }
    }
    .btn-connexion-with-orange,
    .btn-connexion {
      width: auto;
      float: left;
      padding: 0 15px;
      height: 52px;
      line-height: 52px;
      text-align: center;
      font-style: normal;
      color: $color-white;
      @include font-size(16);
      width: 100%;

      @include screen-size(md) {
        margin-right: 10px;
        width: auto;
      }
    }
    .btn-connexion-with-orange {
      background-image: url(/img/orange-logo-41x41.png);
      background-repeat: no-repeat;
      background-position: .82em;
      padding-left: 66px;
      float: none;
    }
  }

  .link-plus {
    @include font-size(12);
  }

  .block-sign-up {
    input {
      width: 100%;
    }

    ul {
      p {
        padding: 0;
        width: 100%;
      }
    }

    .btn-facebook {
      width: 100%;

      @include screen-size(md) {
        width: auto;
      }
    }

    label {
      width: 100%;
      padding: 0;
      margin-top: 10px;
      display: block;

      @include screen-size(lg) {
        width: 150px;
        padding-left: 10px;
      }
    }
  }
  em {
    margin: 40px 0;
    display: block;
  }
}

.btn-link {
  @include clearfix;
  margin: 15px 0 20px 0;

  a {
    float: left;
    margin: 0 20px 0 0;

    @include screen-size(md) {
      margin: 0 30px 0 0;
    }

    &.btn-facebook {
      margin: 0;
      width: 100%;

      @include screen-size(md) {
        width: auto;
      }
    }
  }

  label {
    @include font-size(12);
    top: -2px;

    &:before {
      border: 1px solid $color-white !important;
    }
  }

  &-connexion {
    margin-bottom: 0;

    a {
      @include font-size(16);
    }

    .btn-medium {
      height: 52px;
      line-height: 52px;
      padding-top: 0;
      padding-bottom: 0;
    }
  }
}

.block-newsletter {

  p {
    line-height: 22px;

    strong {
      @include font-size(16);
    }
  }

  label {
    font-style: normal;
    margin-right: 40px;
    @include font-size(14);
  }
}

.block-btn-radio {
  margin: 20px 0;

  @include screen-size(md) {
    margin: 30px 0 60px 0;
  }

  label {
    padding-left: 25px !important;
  }
}

.block-cards {
  padding: 25px 0 0 0;
  
  a {
    color: $color-black;
  }
  a:hover {
    color: $color-secondary-hover;
    text-decoration:underline
  }
  .card::after {
    content: '';
    display: table;
    clear: both;
  }
  .card.active {
    background-color: $color-grey;
    border: 1px solid #e79d56;
    .payment-card {
      cursor:default;
    }
  }
  .card.selected {
    background: $color-grey-border;
    border: 1px solid #e79d56;
    .payment-card {
      cursor:default;
    }
  }
  .card.unselectable {
    .payment-card {
      cursor:default;
    }
  }
  .card {
    padding: 20px;
    border: 1px solid $color-grey-border;
    border-radius: 8px;
    display: inline-block;
    margin: 20px;
    background: url('/images/payment/cards.jpg') 16px 20px no-repeat;

    .payment-card {
      cursor:pointer;
      @include screen-size(md) {
        margin: 0 0px 0 20px;
        width: calc(50% - 20px);
      }
    }
    div {
      color: $color-primary;
      margin-left: 60px;
      font-family: font('primary');
      overflow: hidden;
      text-overflow: ellipsis;
    }
    div.payment-check {
        margin: 15px auto 0px;
    }
    .card-select {
      margin-left: 0px;
    }
    .card-expire {
      @include screen-size(md) {
      }
      text-align:right;
    }
    .card-owner-name {
      text-align:left;
    }
    .card-select {
      @include screen-size(md) {
        margin: 0 0px 0 0px;
      }
      .msg {
        font-weight: 700;
        @include font-size(14);
        color: $color-primary;
        font-family: font('primary');
      }
    }
  }

  .card.disabled {
    .card-owner-name, .card-number {
      color: $color-grey-border;
    }
    .card-select {
      display:none;
    }
  }
  
  .card-type-mastercard {
    background: url('/images/payment/mastercard.jpg') 16px 20px no-repeat;
  }
  .card-type-eurocard {
    background: url('/images/payment/eurocard.jpg') 16px 20px no-repeat;
  }
  .card-type-visa {
    background: url('/images/payment/visa.jpg') 16px 20px no-repeat;
  }
  .card-type-bancontact {
    background: url('/images/payment/bancontact.jpg') 16px 20px no-repeat;
  }
  .card-type-maestro {
    background: url('/images/payment/maestro.jpg') 16px 20px no-repeat;
  }
}

.page-shopping-payment {
  .block-summary .block-header {
    margin-bottom: 0;
  }
  .block-title {
    margin-top: 20px;
    font-weight: 600;
  }
  .block-shop-list {
    padding-top: 20px;
    display: flex;
    align-items: center;
    .product-cover-img {
      max-width: 100px;
    }
    .product-price {
      padding-right: 10px;
      @include screen-size(md) {
        padding-right: 90px;
        width: auto;
        margin-left: auto;
      }
    }
  }
  .block-shop-price {
    margin-top: 20px;
    p {
      @include font-size(14);
    }
  }
  .block-price-list {
    p span{
      @include font-size(20);
  
      @include screen-size(md) {
        @include font-size(20);
      }
  
      sup {
        font-size: em(19px, 32px);
      }
  
    }
  }
  .payment-infos {
    border-color : rgb(226, 226, 226);
  }
}